frek = 850;    %vyhodnocovaná frekvence
Fi = -90:5:90;  %velikost zorného pole
vzdal = 0.1;    %vzdalenost mezi mikrofony
hodnota = Fi;
for i=1:1:length(Fi)
    Tau=vzdal*sin(Fi(i)*pi/180)/343;  %TDOA
    if(Tau<0)
        tau1=0;
        tau2=-Tau;
        tau3=-2*Tau;
        tau4=-3*Tau;
    else
        tau1=3*Tau;
        tau2=2*Tau;
        tau3=Tau;
        tau4=0;
    end
    vystup = sim('model_DAS_vice', 0.1);
    hodnota(i) = max(ScopeData1.signals.values); 
end

polar(Fi*pi/180,hodnota);
TITLE('Směrová odezva pole na signál přicházející kolmo na mikrofonní pole')
